/*
 * ImapProxy - a caching IMAP proxy daemon
 * Copyright (C) 2002 Steven Van Acker
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#ifndef __DEFINES_H__
#define __DEFINES_H__

#define ON	1
#define OFF	0

#define sec
#define min	*60
#define hrs	*3600

#define DEFAULT_REMOTE_ADDRESS	0
#define DEFAULT_LOCAL_ADDRESS	0
#define DEFAULT_REMOTE_PORT	143
#define DEFAULT_LOCAL_PORT	0

#define DEFAULT_ENABLE_DEBUG	OFF
#define DEFAULT_LOG_FACILITY	LOG_AUTH
#define DEFAULT_ENABLE_LOGGING	ON

#define DEFAULT_CLIENT_TIMEOUT	 1 min
#define DEFAULT_SERVER_TIMEOUT	10 min
#define DEFAULT_KEEPALIVE	 1 min
#define DEFAULT_STATS_FREQUENCY	15 min

#define DEFAULT_MAX_REUSE	0

#define DEFAULT_CONFIG_FILE ".imapproxy"
#define VERSION "v0.9-3"
#define PROGNAME "ImapProxy"
#define AUTHOR "Steven Van Acker <imapproxy@kuleuven.net>"

#endif	/* __DEFINES_H__ */

