/*
 * ImapProxy - a caching IMAP proxy daemon
 * Copyright (C) 2002 Steven Van Acker
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#ifndef __MISC_H__
#define __MISC_H__

extern int option_version;
extern char *option_config_file;
extern int option_print_config;
extern int option_help;
extern int rehash_flag;

extern void sigchldhandler(int);
extern void sighup(int);
extern int check_for_literal_count(char *);
extern int word_is_literal_start(char *);
extern int parse_options(int,char **);
extern int version();
extern int usage(char *);
extern int my_daemon();
extern char *my_strndup(char *,int);

#endif	/* __MISC_H__ */

